%define oname   REminiscence

Name:           reminiscence
Version:        0.5.3
Release:        %mkrel 1
Summary:        Flashback engine reimplementation
Group:          Games/Other
License:        GPLv3+
URL:            https://github.com/cyxx/REminiscence
Source0:        https://github.com/chermenin/REminiscence/archive/%{oname}-%{version}.tar.gz
Source1:        REminiscence.png

BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(zlib)

Provides:       REminiscence = %{version}-%{release}

%description
Flashback engine reimplementation.

-- You need game data files for run this game --

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%set_build_flags
%make_build

%install

# Create wrapper scripts
mkdir -p %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_gamesdatadir}/%{oname}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
install -m644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{oname}.png

cat << EOF > %{oname}.sh
#!/bin/sh
%{_gamesbindir}/fb --datapath=%{_gamesdatadir}/%{oname}/DATA  --tunepath=%{_gamesdatadir}/%{oname}/TUNES --widescreen=blur --savepath=.config/%{oname} \$*
exit 0
EOF

install -m755 %{oname}.sh %{buildroot}%{_gamesbindir}/%{oname}
install -m755 fb %{buildroot}%{_gamesbindir}/fb

# Menu

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=REminiscence
Comment=Flashback engine reimplementation
Exec=%{oname}
Icon=%{oname}
Terminal=false
Type=Application
StartupNotify=false
Categories=Game;ActionGame;
EOF

%files
%doc README.md CHANGES.md
%license LICENSE
%{_gamesbindir}/%{oname}
%{_gamesbindir}/fb
%{_gamesdatadir}/%{oname}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/48x48/apps/%{oname}.png


%changelog
* Mon May 05 2025 daviddavid <daviddavid> 0.5.3-1.mga10
+ Revision: 2181182
- initial package reminiscence (thanks to Xavier Bertaux)

